com.taosdata.jdbc

## Class BlockData

- java.lang.Object
- - com.taosdata.jdbc.BlockData

    public class BlockData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BlockData(List<List<Object>> data, int returnCode, String errorMessage, int numOfRows, io.netty.buffer.ByteBuf buffer, List<RestfulResultSet.Field> fields, int precision)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `doneWithNoData()`
`io.netty.buffer.ByteBuf` `getBuffer()`
`List<List<Object>>` `getData()`
`static BlockData` `getEmptyBlockData(List<RestfulResultSet.Field> fields, int precision)`
`String` `getErrorMessage()`
`List<RestfulResultSet.Field>` `getFields()`
`int` `getNumOfRows()`
`int` `getReturnCode()`
`void` `handleData()`
`boolean` `isCompleted()`
`void` `setBuffer(io.netty.buffer.ByteBuf buffer)`
`void` `setCompleted(boolean completed)`
`void` `setData(List<List<Object>> data)`
`void` `setErrorMessage(String errorMessage)`
`void` `setFields(List<RestfulResultSet.Field> fields)`
`void` `setNumOfRows(int numOfRows)`
`void` `setReturnCode(int returnCode)`
`void` `waitTillOK()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockData

    public BlockData(List<List<Object>> data,
                     int returnCode,
                     String errorMessage,
                     int numOfRows,
                     io.netty.buffer.ByteBuf buffer,
                     List<RestfulResultSet.Field> fields,
                     int precision)

### Method Detail

#### getEmptyBlockData

    public static BlockData getEmptyBlockData(List<RestfulResultSet.Field> fields,
                                              int precision)

#### handleData

    public void handleData()

#### doneWithNoData

    public void doneWithNoData()

#### waitTillOK

    public void waitTillOK()
                    throws SQLException

Throws:
  `SQLException`

#### getData

    public List<List<Object>> getData()

#### setData

    public void setData(List<List<Object>> data)

#### getReturnCode

    public int getReturnCode()

#### setReturnCode

    public void setReturnCode(int returnCode)

#### getErrorMessage

    public String getErrorMessage()

#### setErrorMessage

    public void setErrorMessage(String errorMessage)

#### getNumOfRows

    public int getNumOfRows()

#### setNumOfRows

    public void setNumOfRows(int numOfRows)

#### getBuffer

    public io.netty.buffer.ByteBuf getBuffer()

#### setBuffer

    public void setBuffer(io.netty.buffer.ByteBuf buffer)

#### getFields

    public List<RestfulResultSet.Field> getFields()

#### setFields

    public void setFields(List<RestfulResultSet.Field> fields)

#### isCompleted

    public boolean isCompleted()

#### setCompleted

    public void setCompleted(boolean completed)